%% MATH3360 Tutorial2 Demonstration on SVD
clear all;
% Demonstrate reshape function
I=imread('landscape-1.jpg');
I=double(I);
[width,height,depth]=size(I); %size of image
I_re=reshape(I,height,width,[]); %swap the size of width and height
% Algorithm for compression with svd, which only contains 10% information
% of original image
for i=1:depth
    I_com(:,:,i)=compress_svd(I(:,:,i),0.1); 
    % Note: compress_svd is not a build-in function
    % Please try to write it and see if you can get 
    % the same result
end
imwrite(uint8(I_com),'compressed_0.1.jpg')
% Difference between origianl image and compressed image
imwrite(uint8(abs(I-I_com)),'residue_0.1.jpg')
% Algorithm for compression with svd, which only contains 50% information
% of original image
for i=1:depth
    I_com(:,:,i)=compress_svd(I(:,:,i),0.5); 
end
imwrite(uint8(I_com),'compressed_0.5.jpg')
% Difference between origianl image and compressed image
imwrite(uint8(abs(I-I_com)),'residue_0.5.jpg')